Public Member Functions | Package Functions

# BinNavi.API.disassembly.ViewNodeListenerAdapter Class Reference

Adapter class for view nodes. More...

Inheritance diagram for BinNavi.API.disassembly.ViewNodeListenerAdapter:

List of all members.

## Public Member Functions
void | changedBorderColor (ViewNode node, Color color)
| Signals a change of the border color.
void | changedColor (ViewNode node, Color color)
| Signals a change of the background color.
void | changedParentGroup (ViewNode node, GroupNode parentGroup)
| Signals a changing parent group.
void | changedSelection (ViewNode node, boolean selected)
| Signals a change of the selection state.
void | changedVisibility (ViewNode node, boolean visible)
| Signals a change of the visibility state.
void | changedX (ViewNode node, double xpos)
| Signals a change of the X-position.
void | changedY (ViewNode node, double ypos)
| Signals a change of the Y-position.
void | removedTag (ViewNode node, Tag tag)
| Signals that the node was untagged.
## Package Functions
void | addedTag (ViewNode node, Tag tag)
| Signals that the node was tagged.

## Detailed Description

Adapter class that can be used by objects that want to listen on view nodes but only need to process few events.

## Member Function Documentation

void BinNavi.API.disassembly.IViewNodeListener.addedTag | ( | ViewNode | node,
|  | Tag | tag |
| ) |  |  | `[package, inherited]`

Invoked after a tag was added to the node.

Parameters:

  | node | The node the tag was added to.
  | tag | The tag that was added to the node.

void BinNavi.API.disassembly.IViewNodeListener.changedBorderColor | ( | ViewNode | node,
|  | Color | color |
| ) |  |  | `[inherited]`

Invoked after the border color of the node changed.

Parameters:

  | node | The node whose color changed.
  | color | The new color of the node.

void BinNavi.API.disassembly.IViewNodeListener.changedColor | ( | ViewNode | node,
|  | Color | color |
| ) |  |  | `[inherited]`

Invoked after the color of the node changed.

Parameters:

  | node | The node whose color changed.
  | color | The new color of the node.

void BinNavi.API.disassembly.IViewNodeListener.changedParentGroup | ( | ViewNode | node,
|  | GroupNode | parentGroup |
| ) |  |  | `[inherited]`

Invoked after the parent group of the node changed.

Parameters:

  | node | The node whose parent group changed.
  | parentGroup | The new parent group of the node or null if the node was removed from all groups.

void BinNavi.API.disassembly.IViewNodeListener.changedSelection | ( | ViewNode | node,
|  | boolean | selected |
| ) |  |  | `[inherited]`

Invoked after the selection state of the node changed.

Parameters:

  | node | The node whose color changed.
  | selected | The new selection state of the node.

void BinNavi.API.disassembly.IViewNodeListener.changedVisibility | ( | ViewNode | node,
|  | boolean | visible |
| ) |  |  | `[inherited]`

Invoked after the visibility state of the node changed.

Parameters:

  | node | The node whose color changed.
  | visible | The new visibility state of the node.

void BinNavi.API.disassembly.IViewNodeListener.changedX | ( | ViewNode | node,
|  | double | xpos |
| ) |  |  | `[inherited]`

Invoked after the X-position of the node changed.

Parameters:

  | node | The node whose X-position changed.
  | xpos | The new X-position of the node.

void BinNavi.API.disassembly.IViewNodeListener.changedY | ( | ViewNode | node,
|  | double | ypos |
| ) |  |  | `[inherited]`

Invoked after the Y-position of the node changed.

Parameters:

  | node | The node whose Y-position changed.
  | ypos | The new Y-position of the node.

void BinNavi.API.disassembly.IViewNodeListener.removedTag | ( | ViewNode | node,
|  | Tag | tag |
| ) |  |  | `[inherited]`

Invoked after a tag was removed from the node.

Parameters:

  | node | The node a tag was removed from.
  | tag | The tag that was removed from the node.